
Foreman - Bug #25134

HTML is shown in alert box

10/07/2018 09:41 AM - Gilad Lekner

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to reproduce:

1. Go to Provisioning Templates

2. Clone a Template

3. Click on Preview

See Screenshot:

Related issues:

Is duplicate of Foreman - Bug #22898: Preview fails on /clone_template - 404 ... Closed

History

#1 - 10/08/2018 06:08 AM - Marek Hulán

Could you please share the whole trace? The problem is not that we display HTML tags, but the content we put into that alert. This is 500 response,

which seems to be specific to your env. It says unsupportes browser, so I wonder what do you use :-)

#2 - 10/08/2018 06:19 AM - Ohad Levy

if you actually look, you would see its a full page response, including the warning about the browser (which exists in every page foreman providers).

the actual error is provision template not found

#3 - 10/08/2018 08:01 AM - Marek Hulán

Ah, sorry I read just part of that HTML (on phone). I can't reproduce on develop though, does that happen for all templates you have? Could you

upload the log from the server with debug log level? Thanks

#4 - 12/10/2018 01:24 PM - Tomer Brisker

- Status changed from New to Duplicate

Seems to be duplicate of #22898

#5 - 12/10/2018 01:24 PM - Tomer Brisker

- Is duplicate of Bug #22898: Preview fails on /clone_template - 404 returned added
